
#include "MotionCount.h"

MotionCount::MotionCount()
{
	memset(motionCount_matrix, 0, MOTION_COUNT_SIZE * sizeof(int));
}

int MotionCount::getMotionCount(int motion_type)
{
//	std::cout << "int MotionCount::getMotionCount(int motion_type)" << endl;
	if (motion_type > -1 && motion_type < 20)
	{
		return motionCount_matrix[motion_type];
	}

	return -1;
}

void MotionCount::addMotionCount(int motion_type)
{
	if (motion_type > -1 && motion_type < 20)
	{
		motionCount_matrix[motion_type] ++;

		if (motion_type == STEP_COUNT)
		{
			std::cout << "STEP_COUNT : "<<motionCount_matrix[motion_type] << endl;
		}
	}
}
